.team-members-grid {
  display: grid;
  grid-template-columns: repeat(4, minmax(0, 1fr));
  gap: 1.25rem;
}

.team-card .team-name {
  margin-top: 1.5rem;
  font-size: 1.25rem;
  font-weight: 600;
  text-align: center;
}

.team-card .team-designation {
  margin-bottom: 0;
  font-size: 1.125rem;
  text-align: center;
}

.team-card .img-wrap {
  position: relative;
  display: block;
  isolation: isolate;
}

.team-card .img-wrap::before {
  content: "";
  position: absolute;
  inset: 0;
  z-index: -1;
  width: 100%;
  height: 100%;
  background-color: #012964;
  transform-origin: top left;
  transition: transform 200ms ease;
}

.team-card .img-wrap img {
  transform-origin: bottom right;
  transition: transform 200ms ease;
}

.team-card .img-wrap:hover img,
.team-card .img-wrap:hover::before {
  transform: scale(0.94);
}

.team-card .modal-team .modal-content .modal-body .team-content {
  position: relative;
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 2rem;
  max-height: 420px;
  overflow: auto;
  isolation: isolate;
}

.team-card .modal-team .modal-content .modal-body .team-content .main-img {
  position: sticky;
  top: 0;
  grid-column: 1 / 3;
  max-height: 420px;
}

.team-card .modal-team .modal-content .modal-body .team-content .main-img .img_wrapper {
  z-index: 1;
}

.team-card .modal-team .modal-content .modal-body .team-content .main-img .img_wrapper a {
  bottom: 16px;
  z-index: 2;
}

.team-card .modal-team .modal-content .modal-body .team-content .intro {
  grid-column: 3 / 6;
}

@media (max-width: 767.98px) {
  .team-members-grid {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }

  .team-card .modal-team .modal-content {
    overflow: auto;
  }

  .team-card .modal-team .modal-content .modal-body .team-content {
    max-height: 90dvh;
    overflow: unset;
  }

  .team-card .modal-team .modal-content .modal-body .team-content .main-img {
    position: relative;
    grid-column: span 5;
    max-height: 100%;
  }

  .team-card .modal-team .modal-content .modal-body .team-content .intro {
    grid-column: span 5;
  }
}

@media (max-width: 575.98px) {
  .team-members-grid {
    grid-template-columns: 1fr;
  }
}
